Subject: bug#7383: 24.0.50; end-of-line style on remote files

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 May 2011 20:23:24 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Wed, 04 May 2011 12:14:09 -0300
> Cc: [email-masked]
> 
> > See the code of `ange-ftp-write-region'. Binary transfer is explicitely
> > disabled for Emacsen on MS Windows machines, if not said otherwise by
> > `ange-ftp-binary-file-name-regexp':
> 
> > 	       (binary (or (ange-ftp-binary-file filename)
> > 			   (and (not (memq system-type
> > 					   '(ms-dos windows-nt)))
> > 				(memq (ange-ftp-host-type host user)
> > 				      '(unix dumb-unix)))))
> 
> > Similar (but not identical) checks are in `ange-ftp-insert-file-contents'
> > and `ange-ftp-copy-file-internal'.
> 
> I think all this non-binary business in ange-ftp is inherited from
> pre-Mule issues.  So I'd be tempted to always use binary now.

Yes, definitely.  The change was made (by one Stefan Monnier) in
2001.  I see no reasons to keep it.  Let's remove that and see if
someone comes back crying.